import request from '@/utils/request'

// 查询工作文档列表
export function listWorkDocu(query) {
    return request({
        url: '/system/workingDocument/list',
        method: 'get',
        params: query
    })
}

// 新增工作文档
export function addWorkDocu(data) {
    return request({
        url: '/system/workingDocument',
        method: 'post',
        data: data
    })
}
//修改工作文档
export function updateWorkDocu(data) {
    return request({
        url: '/system/workingDocument',
        method: 'put',
        data: data
    })
}
//删除工作文档
export function deleteWorkDocu(id) {
    return request({
        url: '/system/workingDocument/' + id,
        method: 'delete'
    })
}
//获取工作文档详细信息
export function getWorkDocu(id) {
    return request({
        url: '/system/workingDocument/' + id,
        method: 'get'
    })
}